## Process this file with automake to produce Makefile.in
AUTOMAKE_OPTIONS = foreign

bin_PROGRAMS = smg2xml
smg2xml_SOURCES = lexer.l parser.y simplefg.c symbol.c hash.c symbol.h hash.h
smg2xml_LDADD = @LEXLIB@

BUILT_SOURCES = parser.h
YFLAGS  = -d -t
LIBS   += $(XML_LIBS)
CFLAGS += $(XML_CFLAGS)
CFLAGS += $(XML_CPPFLAGS)

TESTS = t/mg2tagml.t \
	t/smg2xml.t \
	t/mg2dyalog.t

EXTRA_DIST = sample.smg \
	     mgviewer \
	     ${TESTS} \
	     t/sample.mg \
	     t/sample.smg \
	     t/sample.xml \
	     xslt/mg2altdyalog.xsl \
	     xslt/mg2dyalog.xsl \
	     xslt/mg2smg.xsl \
	     xslt/mgclass2html.xsl \
	     xslt/mgconf2dyalog.xsl \
	     xslt/mgres2html.xsl \
	     xslt/mg2dot.xsl \
	     xslt/mg2html.xsl \
	     xslt/mg2tagml.xsl \
	     xslt/mgclass2js.xsl \
	     xslt/mgnode2html.xsl

CLEANFILES = mgtools.pc

bin_SCRIPTS = mgviewer

dist_lisp_DATA = mg.el

pkgdata_DATA  = xslt/mg2altdyalog.xsl \
		xslt/mg2dyalog.xsl \
		xslt/mg2smg.xsl \
		xslt/mgclass2html.xsl \
		xslt/mgconf2dyalog.xsl \
		xslt/mgres2html.xsl \
		xslt/mg2dot.xsl \
		xslt/mg2html.xsl \
		xslt/mg2tagml.xsl \
		xslt/mgclass2js.xsl \
		xslt/mgnode2html.xsl

aclocaldir = $(datadir)/aclocal

pkgconfigdir = $(libdir)/pkgconfig
dist_pkgconfig_DATA = mgtools.pc

EDIT = sed \
       -e 's|@bindir\@|$(bindir)|' \
       -e 's|@libdir\@|$(libdir)|' \
       -e 's|@datadir\@|$(datadir)|' \
       -e 's|@LIBS\@|$(LIBS)|' \
       -e 's|@CFLAGS\@|$(CFLAGS)|' \
       -e 's|@PACKAGE\@|$(PACKAGE)|' \
       -e 's|@VERSION\@|$(VERSION)|'

# to avoid encoding pb, for instance with sed
LC_ALL=C
LANG=C
LC_COLLATE=C
LC_TYPE=C

